
import sortalgi as _sgi
from sortalgi.sortal_lib_api.convert.convert_agnostic_to_sortal import convertA

_sgi.sortal_setup(
   (   (True, True, True, True, True, True, True), 
       (True, True, True, True, True, True, True)))

name = 'delete_labeled_point'
descr = 'Deletes a labeled point'
left_ag = {
   'points': [((0, 0, 0), {'labels': ['a']})], 
   'line segments': []}
right_ag = {
   'points': [], 
   'line segments': []}
print (left_ag, right_ag)
convertA = convertA()
lhsMetaform = convertA.toSortal(left_ag)
lhsMetaform.printE()
rhsMetaform = convertA.toSortal(right_ag)
rhsMetaform.printE()
rule_instance = _sgi.create_rule(name, descr, left_ag, right_ag)
print(rule_instance)
